第九区

一个程序员的经验笔记

使用Yii2扩展

| 暂无评论

随着时代的发展,社区化编程渐渐成为潮流。在github的基础之上,我们可以用composer安装yii,然后配置composer.json文件,就可以安装所有以composer包形式发布的软件并保持同步更新。最新版本的jquery,最新版本的bootstrap,最新版本的各种第三方插件……对于我这种不升级会死星人来说,这就是最好的梦想了。

composer.json的中文文档可详见:https://github.com/5-say/composer-doc-cn/blob/master/cn-introduction/04-schema.md#minimum-stability

要添加一个扩展,可以在composer.json中插入扩展的名称,比如加入一个YII官方的缩略图类:

{
    // ...
    "require": {
        // ... other dependencies
        "yiisoft/yii2-imagine": "*"
    }
}

然后运行窗口命令composer install,一个新的扩展就是下载成功了。

 

发表评论

*为必填字段!